## 1.19.0
下载地址：https://app.nat.whrunpu.com/app/detail?id=1865978469284974592

更新内容：
- 新增配置renamedPushFlag，classifiedPushFlag，控制自动编目后是否推送；
- 修改销案t3c案件主键为ajbh

执行操作：

1、执行数据库升级操作，参考：https://doc.dev.whrunpu.com/docs/dossier/upgrade


执行完后，配置表新增两个配置`renamedPushFlag`,`classifiedPushFlag`

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_af9a1e584db044cc611762ba752ea40d_r.png)

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_b2fd79b6f4c0e69810434022adc658dd_r.png)

2、重启 caseinfo与basic服务；

## 1.19.1
下载地址：https://app.nat.whrunpu.com/app/detail?id=1866415637992181760

更新内容：
- 添加定时任务（checkUserCase）处理自动分案有问题的数据

执行操作：

xxl-job 添加定时任务，开启自动分案的地区，启动该任务。
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_620a5e6f1ef4a2c06a155aef525da2e7_r.png)

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_181cd783c5457374f41af57ec7102729_r.png)

该定时任务逻辑：查询被锁定的案件，如果这个案件没有有效批次，则解锁；如果存在有效批次，并且redis缓存中 cls:userList 有这个用户，但这个用户里没有这个案件，则指派这个案件给这个用户。

## 1.19.2

工单：张丛帅-202405200008 

下载地址：https://app.nat.whrunpu.com/app/detail?id=1869667377776562176

更新内容：

- 新增`autoPushFlag` 自动推送开关配置
- 华宇产生的版本，只变动了封皮、封底、卷内目录，润普不会对该版本 +1；
- 不给当前版本制作方自动推送当前版本，其他的第三方正常推送（华宇除外）

执行操作：
修改 autoPushFlag:
1、自动推送开关打开；
2、白名单为空即可；
3、黑名单：所有法院 客户端、华宇来源加入黑名单
格式参考测试1.54测试环境，如图：
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_4e8e014c9eafa56cf9cd485994fd6323_r.png)

## 1.19.3
下载地址：https://app.nat.whrunpu.com/app/detail?id=1871477592369008640
更新内容：
- 优化查询
- 优化 caseInfoService 的create方法

## 1.19.4（分案设置选择上传人员卡顿，需要更新到1.19.5）

下载地址：https://app.nat.whrunpu.com/app/detail?id=1876574870805024768

对应版本：
- platform(自动分案)： 1.2.6

更新内容：
1、自动分案根据分案设置的上传人分配案件
2、自动分案筛出拆分中的案件，即拆分中的PDF不进行自动指派。
3、同步模版目添加分布式锁

## 1.19.5
下载地址：https://app.nat.whrunpu.com/app/detail?id=1879424347534397440

对应版本：
- user: 1.9.3
- platform（分类）: 1.2.7

更新内容：
- 查询分案设置数据添加返回字段

## 1.19.6(多存储头的地区图像处理不可用，需要升级到1.19.10版本)

下载地址：https://app.nat.whrunpu.com/app/detail?id=1881169899469017088

对应版本：
- 第三版预处理： v2.2 (第二版是 v2.20 ，第三版是 v2.2，注意区分)
- classify（分类平台）： 1.10.1
- img_handle（图像处理服务前端）：1.0.3
- front-center（应用中心）: 1.2.1

更新内容：

- 支持第三版智能图像处理需求

- 新增配置imgProcessorUrl（智能图像处理）的服务地址

- 新增资源“文件列表，保存预处理图片”， 权限自行勾选

执行操作：

1、执行数据库升级操作，参考：

```
http://ip:端口/caseinfo/$upgrade?variables=_main_db_:business
```
修改配置表中imgProcessorUrl为对应的地址（需要部署img_handle前端图像处理服务）：
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_bb476771b1a330081d999d6ab36267a4_r.png)

2、查看资源表是否有`/user/base/settings/**`

```sql
# 查看
select * from sys_resource where url like '%settings%'

# 没有则添加
INSERT INTO `business`.`sys_resource`(`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1780791622049468421, '用户拓展字段通用设置', '/user/base/settings/**', 'GET', 76, '用户拓展字段通用设置', '2024-05-06 14:28:52', '2024-05-06 14:30:53');
```
3、给分类人员、客服、数据组管理员勾选权限
勾选文件列表、保存预处理图片权限

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_269846711a46a8922a8e36ece207b043_r.png)

勾选用户拓展字段通用设置权限：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_82a38626bceb9a314456d4e354d86ce1_r.png)



## 1.19.7

下载地址：https://app.nat.whrunpu.com/app/detail?id=1882615958179287040

更新内容：

- 拆分PDF的默认并发数由3改为2
- 拆分PDF降低事务隔离级别，为 read committed

- 拆分PDF加caseId 分布式锁

执行操作：
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_23e26a462072029ca3415a46032b2249_r.png)


## 1.19.8

下载地址：https://app.nat.whrunpu.com/app/detail?id=1887424316040155136

更新内容：

- 修复华宇xml生成的批次的来源错误，以及page_total_num为空的问题

## 1.19.9（同步华宇案件任务失败）

下载地址：https://app.nat.whrunpu.com/app/detail?id=1888893398841167872

更新内容：

- 新增案件信息表、扩展字段数据维护



执行操作：

1、执行数据库更新：http://ip:服务端口/caseinfo/$upgrade?startVersion=换包前的版本号

执行完成后：

- 数据库新增 case_info_extra与 case_party 表。

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_178fbf41ab88dfa69b0177639c0a1c1f_r.png)


- 配置表中，hyCaseConfig配置修改，新增节点 `appendCaseExtraConfig`

  - url: 请求华宇补充接口url，根据实际调用接口路径填写；
  - header：请求头，T3C类型案件请求时,需要携带请求头,JXJS类型案件请求时,目前不需要携带请求头
  - checkColumn：以数组形式存放数据，存放的数据为调用定时调度任务时，是否更新数据的依据。配置的数据，只要满足有其中某一个字段对应的值为空，则更新数据,否则不更新。存放的数据，对应数据库中的字段，命名方式为大驼峰方式

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_b41f8f5da5940427541ddfeb294d4d38_r.png)

T3C：

- url: http://131.16.104.73:10002/t3-openapi/t3/api/tyjk/ajxx/ga
- appToken: b281ad7626fa4c60b28128a9d94261f8
- x-app-id: api-hbgybzjk

JXJS:

- url: http://131.16.200.228:9080/jxjs/mvc/api/v1/ajxx/ga



2、 xxl-job 新增定时任务`syncCaseInfoExtra`

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_373df0eb82efc6d2f548d1c3f934d0c6_r.png)


修改nacos服务：

caseinfo-services.yml配置新增：`/hb-extra/sync-case-info-extra`

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_a5227304f2e9eb077703b7b5e1c9fc14_r.png)


重启 case-info



按照如下操作步骤进行操作：

a. 在redis中，删除 sync_hy_case 缓存，再调用一次 sync_hy_case 该定时调度任务；

b. 上述任务执行完成后，在执行新增的调度任务： syncCaseInfoExtra



## 1.19.10 （同步华宇案件任务失败）

下载地址:https://app.nat.whrunpu.com/app/detail?id=1890277566019932160
更新内容:
- 修复第三版智能预处理，多存储头的配置下，文件存储头重复的bug



## 1.19.11

下载地址:https://app.nat.whrunpu.com/app/detail?id=1891319478357200896
更新内容:
- 修改同步华宇案件信息job任务中，对案件审判组织成员信息获取时 判断cbrId字段值的获取方式,解决原先因获取不到审判人信息,而出现的报错
- 删除case_trial_member表 原唯一索引(case_id+user_code),建立新唯一索引(case_id+user_code+type) 

执行操作：

数据库更新操作：http://服务ip:端口/caseinfo/$upgrade?startVersion=升级前版本



## 1.19.12

下载地址：https://app.nat.whrunpu.com/app/detail?id=1892865995375251456

对应版本：

- platform（分类平台）： 1.2.8

更新内容：

- 分类平台法院统计添加来源参数

执行操作：

caseinfo 配置文件所在目录增加导出模板

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_fa08d32a9b9c64312ce7f93e8158d567_r.png)

从131.102.1.54测试环境获取该模板：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_8c251e759d4561f7cc8a20f4b8cbbd1b_r.png)



## 1.19.13（syncCaseInfoExtra补充案件扩展表任务失败）

下载地址：https://app.nat.whrunpu.com/app/detail?id=1895399484251312128

更新内容：

- 修复推送质检高并服务挂掉问题，增加队列去消费

执行操作：
在nacos的caseinfo-service.yml添加配置：
- whrp.rabbitmq.push-case-check-queue: 1 #推送质检队列并发数 默认为2
- whrp.redis-expire-time.push-case-check-caseid: 2 #推送质检标记caseid的缓存失效时间，单位为小时 默认为1

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_23a8d30813a096b68f173056dfe6d796_r.png)

## 1.19.14

下载地址：https://app.nat.whrunpu.com/app/detail?id=1896476827778682880

更新内容：

- 解决 T3C类型案件 和 JXJS类型案件 请求案件拓展信息接口 请求成功后 获取不到节点数据的问题
- 定时调度后台任务去除线程池
- 修复河北分页查询案件基础信息，案件不存在, 报超时的bug;


## 1.19.15

下载地址：https://app.nat.whrunpu.com/app/detail?id=1897895845995614208

更新内容：

- 修复推送bug，不按照最新批次判断

执行操作：

手动更新 `autoPushFlag` 配置：

1、更新前先将原来配置的黑白名单手动拷贝出来，更新后再将黑白名单加进去；
2、将如下配置覆盖原来配置；
```
UPDATE `common_property` SET `property_name` = 'autoPushFlag', `property_value` = 'import cn.hutool.extra.spring.SpringUtil\nimport org.springframework.jdbc.core.JdbcTemplate\nimport org.springframework.util.ObjectUtils\nimport org.apache.logging.log4j.LogManager\nimport org.apache.logging.log4j.Logger\n\n\n\ndef apply(param){\n    // 自动推送开关默认值\n    Logger logger = LogManager.getLogger();\n    boolean flag = false;\n    // 法院code白名单\n    def whiteList = [\n            \"101\" : [\n                    \"source\": [\"QIAOXI\"]\n            ],\n            \"109\" : [\n                    \"source\": [\"REVIEW\",\"QIAOXI\",\"CLIENT\"]\n            ],\n            \"103\" : [\n                    \"source\": [\"REVIEW\",\"ALL\"]\n            ]\n    ]\n\n    // 法院code黑名单\n    def blackList = [\n\n    ];\n    def caseId = 0;\n    def add = false;\n    if(param instanceof Long || param instanceof String){\n        caseId = param;\n    }else{\n        caseId = param[\"caseId\"];\n        add = param[\"add\"];\n    }\n    if(add){\n        if(caseId){\n            JdbcTemplate jdbcTemplate = SpringUtil.getBean(JdbcTemplate.class)\n            // 查询当前法院code\n            if(!whiteList.isEmpty() || !blackList.isEmpty()){\n                def caseInfo = null;\n                //根据caseId查询案件是否存在,若不存在,则不推送\n                try {\n                    caseInfo = jdbcTemplate.queryForMap(\"SELECT a.case_id as caseId,b.sub_case_id as subCaseId,b.source,b.create_time as createTime, a.court_id as courtId FROM case_info a \" +\n                            \"JOIN sub_case_info b ON a.case_id = b.case_id WHERE a.case_id = ? AND a.display = 0 AND b.invalid_flag = 0 ORDER BY b.create_time DESC LIMIT 1\", caseId);\n                } catch (Exception e) {\n                    flag = false;\n                }\n                if(!ObjectUtils.isEmpty(caseInfo)){\n                    // 白名单关闭其功能\n                    if(!whiteList.isEmpty()){\n                        if (whiteList.containsKey(caseInfo[\"courtId\"].toString())) {\n                            def items = whiteList[caseInfo[\"courtId\"].toString()][\"source\"];\n                            //如果items不为空,且source这个key对应的值为ALL,返回false\n                            //如果source这个key对应的值不为ALL,则遍历source这个key中的值,与subCaseInfo对象中的source字段做匹配,如果能匹配上,返回false\n                            // 如果items为空或source对应的值为空,直接false\n                            if (!ObjectUtils.isEmpty(items)) {\n                                if (items.contains(\"ALL\")) {\n                                    flag = true;\n                                } else {\n                                    for (item in items) {\n                                        if (item == caseInfo[\"source\"]) {\n                                            flag = true;\n                                            break;\n                                        }\n                                    }\n                                }\n                            }\n                        }\n                    }\n                    // 黑名单关闭其功能\n                    if(!blackList.isEmpty()){\n                        if (blackList.containsKey(caseInfo[\"courtId\"].toString())) {\n                            def items = blackList[caseInfo[\"courtId\"].toString()][\"source\"];\n                            //如果items不为空,且source这个key对应的值为ALL,返回false\n                            //如果source这个key对应的值不为ALL,则遍历source这个key中的值,与subCaseInfo对象中的source字段做匹配,如果能匹配上,返回false\n                            // 如果items为空或source对应的值为空,直接false\n                            if (!ObjectUtils.isEmpty(items)) {\n                                if (items.contains(\"ALL\")) {\n                                    flag = false;\n                                } else {\n                                    for (item in items) {\n                                        if (item == caseInfo[\"source\"]) {\n                                            flag = false;\n                                            break;\n                                        }\n                                    }\n                                }\n                            }\n                        }\n                    }\n                }\n            }\n        }\n    }else{\n    	//此为阅操作是否推送开关，true为推送，false为不推送\n  	return true;\n    }\n\n    return flag;\n}', `property_desc` = '自动推送开关', `create_time` = NULL, `create_user_id` = 1798605507370467329, `update_flag` = 0, `display` = 0 WHERE `property_name` = 'autoPushFlag';

```
3、将备份的黑白名单加入配置中。
4、重启case_info、basic;




## 1.19.16

下载地址：https://app.nat.whrunpu.com/app/detail?id=1900113049235361792

更新内容：

- 解决同步案件类型信息 T3E类型案件报空指针异常的bug ；

- 解决同步案件类型信息 JXJS类型案件,获取不到ywlx,抛异常的问题；

执行操作：

手动修改 `getCasesSettings` 配置：减刑假释案件类型增加`ywlx`键，其他类型不变；
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_f319614351c6d133ba90a23337e4879b_r.png)

## 1.19.17
河南地区使用

## 1.19.18
下载地址：https://app.nat.whrunpu.com/app/detail?id=1901518187716022272
更新内容：
- 清除离线用户,当token-id缓存的jwt缓存过期之后，捕获此异常，并删除过期缓存（xxl-job任务，清除离线用户clearOffLineUser任务报错问题）

## 1.19.19
下载地址：https://app.nat.whrunpu.com/app/detail?id=1901881157524525056
更新内容：
- 分类界面保存的时候合并华宇xml，只进行新增修改强制合并，不进行删除