# transfer-web  后端包

> 以  1.0.27 版本为基础，进行以下升级

## 1.0.29
下载地址：http://dev.whrunpu.com:9040/app/detail?id=1144

更新内容：
- 修复查询借阅中列表是否过期时程序异常；
- 数据列表筛选完成后，跳转其他页面，返回后，保留筛选结果；

## 1.0.31

下载地址： http://dev.whrunpu.com:9040/app/detail?id=1150

更新内容：
- 所有案件批次字段修改，例如：将【第1批次】字段修改为【1】
- 新增存卷自动接受功能；
- 修改补档卷宗管理模块待补档里“申请时间”,展示华宇返回时间；
- 统计分析-新增庭室借阅情况统计表页面

## 1.0.32

下载地址：http://dev.whrunpu.com:9040/app/detail?id=1157

更新内容：
- 修改庭室借阅统计接口按借出时间查询

需要执行操作：
```mysql
ALTER TABLE transfer_apply_record ADD COLUMN `lend_time` datetime GENERATED ALWAYS AS ((case when (json_extract(`extra`,'$.lendDate') is not null) then json_unquote(json_extract(`extra`,'$.lendDate')) else NULL end)) STORED COMMENT "案件借出时间";

ALTER TABLE transfer_apply_record ADD INDEX idx_transfer_apply_record_lend_time (lend_time);
```

【庭室借阅情况统计表】的查询语句(无需执行)：
```mysql
select court_room_id, count(distinct (a.case_id)) as count from transfer_apply_record a left join case_info b on a.case_id = b.case_id WHERE (a.transfer_status =

'BORROWING' or a.transfer_status = 'IN_THE_CABINET') and a.deleted=0 and b.court_room_id is not null and a.lend_time >= concat('2024-05-01',' 00:00:00') and a.lend_time

<= concat('2024-05-31',' 00:00:00') group by court_room_id
```