## cv 升级

> 基于模型 test1117，进行以下升级

### 模型 test0730

更新包：
- database.tar.gz
- weights.tar.gz

下载地址：
- 外网：https://static.dev.whrunpu.com/files/cv-images/test0730/
- 内网：可以从邯郸拿包，地址`/home/pkg/cv-20240801`

1、解压并替换这两个包
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_c541f135b78271e18dc01fa36550ef10_r.png)

2、重启服务

```shell
docker-compose restart
```



3、查看最新模型： test0730

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_49e04f1f571c9a1916d6d705f34eacf2_r.png)
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_5aa837a72fe3831eb5f0c5d75e896939_r.png)

4、加载最新模型：test0730

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_f8ebd84a1c2f7a03f70b990e8d356944_r.png)

### 模型 test0826

更新包：
- database
- weights

下载地址：
- 外网：https://static.dev.whrunpu.com/files/cv-images/test0826.tar.gz
- 内网：保定1.186服务器拿包`/home/pkg-升级包/20240905/test0826.tar.gz`

更换包后，重启服务，并加载 test0826模型

查看模型 test0826:
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_5f660added6cd64722629a3dd54920d0_r.png)

加载模型 test0826
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_bd3bcfad3d1a959b387e123723272b3c_r.png)