# app

## 2.1.0

### 更新内容：

1. 新增权限控制，分别由三个角色 'VISITOR','EDITOR','ADMINISTRATOR' 访问者=只读， 编辑者 = 读写，管理员
2. 新增文件md5值
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_d36a691aad15c0a9142d94f1e92d6b94_r.png)
3. 修复exe文件，不能解析出包名的bug
4. 新增修改密码功能

### 执行操作
1. yaml文件user节点下的新增配置：

```
  user:
    #角色列表
    roles: '{"VISITOR": "访问者","EDITOR": "编辑者" ,"ADMINISTRATOR": "管理员"}'
    status: '{"1": "可用","0": "不可用"}'
    privileges: |
      {
      OPEN: "/api/user/login,/api/captcha,/api/user/logout,/api/conf,/api/app/download,/api/app/detail,/api/app/unique,/api/app/history",
      VISITOR: "/api/user/base-info,/api/user/mod-pwd,/api/app/list,/api/app/detail,/api/app/download,/api/app/unique,/api/app/latest,/api/app/history,/api/get-area",
      EDITOR: "VISITOR,/api/app/upload,/api/app/save",
      ADMINISTRATOR: "EDITOR,/api/user/register,/api/user/list,/api/user/modify,/api/user/remove"
      }

```
- open 指的是，不需要登录，可访问的接口

2. 更新程序包后，请执行更新接口，自动添加新增的数据库字段

```
//替换对应ip,端口为后端服务端口

http://131.102.1.54:8554/$upgrade

```