## 第三版方正预处理启动报错


docker-compose up启动后，报错日志如下
```
{"log":"OpenBLAS blas_thread_init: pthread_create failed for thread 1 of 32: Operation not permitted\n","stream":"stderr","time":"2024-03-24T05:40:46.516503125Z"}
{"log":"OpenBLAS blas_thread_init: RLIMIT_NPROC -1 current, -1 max\n","stream":"stderr","time":"2024-03-24T05:40:46.516521677Z"}
{"log":"[2024-03-24 05:40:46 +0000] [1] [WARNING] Worker with pid 8 was terminated due to signal 2\n","stream":"stderr","time":"2024-03-24T05:40:46.5182809Z"}
{"log":"OpenBLAS blas_thread_init: pthread_create failed for thread 1 of 32: Operation not permitted\n","stream":"stderr","time":"2024-03-24T05:40:46.527939723Z"}
{"log":"OpenBLAS blas_thread_init: RLIMIT_NPROC -1 current, -1 max\n","stream":"stderr","time":"2024-03-24T05:40:46.527962956Z"}

```

原因：

docker 内的用户权限受限，docker-compose 中添加`privileged: true`，获得root权限

解决方法：

在docker-compose 中添加权限：
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_15131008aa88e975eeedb8d697b323ef_r.jpg)