### 1、df  -h 与 du -sh 不一致问题

如图，使用 `df -h` 命令查看 /home 目录使用 868G，使用 `du -sh /home` 命令查看 却为 40G。

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_e6c99a095e12999f40f919b3add1b356_r.png)


原因： 查看挂载路径`/home/visionread/data/mnt/scandocprocess/output` ，该挂载路径覆盖了原有的目录，而原有目录下是有几百G的文件，但使用 `du -sh ` 时，未统计到原有目录下的文件。



解决办法：

更换挂载路径，将 `131.100.0.220：/home/visionread/services_data/data/scandocprocess/output` 挂载到一个空目录下 `/home/visionread/data/mnt/scandocprocess/output2`，这时`du -sh /home` 为 868G，与 df -h一致。



原来路径下 `/home/visionread/data/mnt/scandocprocess/output`的文件可以删除掉，释放存储空间。