# 预处理参数调整


## 一、修改 basic.yml 中预处理配置

### 1、 打开nacos

打开浏览器，地址栏输入nacos地址：http://ip:8848/nacos

将其中的 ip 更换为线上实际地址，例如 http://131.102.1.54:8848/nacos

### 2、找到 basic服务配置

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_951e864ed1f498eb51d9abbaeda4dd32_r.png)

### 3、修改预处理参数

a. 先找到预处理配置： pre-img

b. 确认预处理版本： preImg3ServiceImpl  是第三版

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_7ac51536334c79c4ba65ec4bc0206bda_r.png)

c. 修改对应参数

找到第三版配置

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_4411eabe712636143a26dbf303483fab_r.png)

预处理检测参数调整：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_a8fdec879eb3fe84005214b9067be096_r.png)

预处理优化参数调整：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_7ac03c37baef37660b95e901c452a902_r.png)

## 二、重启basic服务

1、打开xshell

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_0b60aefdb52f5e5a2e6bc6376ae14bf2_r.png)

2、找到对应的服务器（这里是测试环境）,河南地区打开基础服务器  143.5.3.231

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_05ca3ebf7a07296804504c31b52f719c_r.png)


3、进入到服务路径下:

在xshell中输入如下命令：

```shell
$ cd /home/visionread/dossier/
```

如图所示：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_748ce1b8bdcab4e1db8b297a70890667_r.png)


4、查看该路径下内容，xshell 输入如下命令:

```shell
ls -l
```

如图：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_3a4dda3242df98ac34fdaacbc6cbd404_r.png)

5、重启basic服务

输入如下命令：

查看所有服务：

```shell
docker-compose ps --services
```

重启 basic 服务

```xshell
docker-compose restart basic
```

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_2e2d6af2dcc6f13e011c1727ce20dfa8_r.png)

重启后，查看服务状态

输入如下命令：

```shell
docker-compose ps
```

如图：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_9b946b61287538e2e259f2f18af88576_r.png)